// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Etcd的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Etcd_EtcdId = grmi.NewField("EtcdId", "Etcd.EtcdId", "etcdid", grmi.TypeInt)
var Etcd_EtcdName = grmi.NewField("EtcdName", "Etcd.EtcdName", "etcdname", grmi.TypeString)
var Etcd_Descr = grmi.NewField("Descr", "Etcd.Descr", "descr", grmi.TypeString)
var Etcd_Health = grmi.NewField("Health", "Etcd.Health", "health", grmi.TypeString)
var Etcd_State = grmi.NewField("State", "Etcd.State", "state", grmi.TypeInt)
var Etcd_Path = grmi.NewField("Path", "Etcd.Path", "path", grmi.TypeString)
var Etcd_LastModify = grmi.NewField("LastModify", "Etcd.LastModify", "lastmodify", grmi.TypeDateTime)
var Etcd_LastUser = grmi.NewField("LastUser", "Etcd.LastUser", "lastuser", grmi.TypeString)
var Etcd_CreateTime = grmi.NewField("CreateTime", "Etcd.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Etcd的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Etcd = grmi.NewEntity(
	"Etcd",
	func() interface{} { return &model.Etcd{} },
	map[string]grmi.Field{
		Etcd_EtcdId.Name:     Etcd_EtcdId,
		Etcd_EtcdName.Name:   Etcd_EtcdName,
		Etcd_Descr.Name:      Etcd_Descr,
		Etcd_Health.Name:     Etcd_Health,
		Etcd_State.Name:      Etcd_State,
		Etcd_Path.Name:       Etcd_Path,
		Etcd_LastModify.Name: Etcd_LastModify,
		Etcd_LastUser.Name:   Etcd_LastUser,
		Etcd_CreateTime.Name: Etcd_CreateTime,
	},
	[]string{},
	[]string{"EtcdName", "Descr", "Health", "State", "Path", "LastUser"})
